summaryrefslogtreecommitdiff
path: root/scripts/rabbitmq-upgrade
diff options
context:
space:
mode:
authordcorbacho <dparracorbacho@piotal.io>2019-09-23 17:30:06 +0100
committerdcorbacho <dparracorbacho@piotal.io>2019-09-23 17:30:06 +0100
commit805c6715faf70b43f3e950c10390a66ec47309a1 (patch)
treef5eee5b3d5677697bd8d2e6237ab1661a604ae8d /scripts/rabbitmq-upgrade
parent6116a11cb25575a734f16074070418e805045c1d (diff)
parentedf98f35087da9f67cea8629cce1a1130299acaf (diff)
downloadrabbitmq-server-git-805c6715faf70b43f3e950c10390a66ec47309a1.tar.gz
Merge remote-tracking branch 'origin' into consume-events-command
Diffstat (limited to 'scripts/rabbitmq-upgrade')
-rwxr-xr-xscripts/rabbitmq-upgrade32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/rabbitmq-upgrade b/scripts/rabbitmq-upgrade
new file mode 100755
index 0000000000..3c60ad261b
--- /dev/null
+++ b/scripts/rabbitmq-upgrade
@@ -0,0 +1,32 @@
+#!/bin/sh
+## The contents of this file are subject to the Mozilla Public License
+## Version 1.1 (the "License"); you may not use this file except in
+## compliance with the License. You may obtain a copy of the License
+## at https://www.mozilla.org/MPL/
+##
+## Software distributed under the License is distributed on an "AS IS"
+## basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
+## the License for the specific language governing rights and
+## limitations under the License.
+##
+## The Original Code is RabbitMQ.
+##
+## The Initial Developer of the Original Code is GoPivotal, Inc.
+## Copyright (c) 2007-2019 Pivotal Software, Inc. All rights reserved.
+##
+
+# Exit immediately if a pipeline, which may consist of a single simple command,
+# a list, or a compound command returns a non-zero status
+set -e
+
+# Each variable or function that is created or modified is given the export
+# attribute and marked for export to the environment of subsequent commands.
+set -a
+
+# shellcheck source=/dev/null
+#
+# TODO: when shellcheck adds support for relative paths, change to
+# shellcheck source=./rabbitmq-env
+. "${0%/*}"/rabbitmq-env
+
+run_escript rabbitmqctl_escript "${ESCRIPT_DIR:?must be defined}"/rabbitmq-upgrade "$@"